Bug 1654331 - update of RHGS Web Administration requires clean up of client browser cache
Summary: update of RHGS Web Administration requires clean up of client browser cache
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Neha Gupta
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 14:44 UTC by Daniel Horák
Modified: 2019-05-08 20:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-08 20:45:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
Updated RHGS WI without cleared client browser cache doesn't reflect all the changes introduced in the new version. (33.51 KB, image/png)
2018-11-28 14:44 UTC, Daniel Horák
no flags Details
Broken login screen when user logs out (212.12 KB, image/png)
2018-12-06 11:54 UTC, Filip Balák
no flags Details

Description Daniel Horák 2018-11-28 14:44:26 UTC
Created attachment 1509538 [details]
Updated RHGS WI without cleared client browser cache doesn't reflect all the changes introduced in the new version.

Description of problem:
  When updating from RHGS WA 3.4.1 to 3.4.2, some of the new changes in Web UI
  are not visible without clearing browser cache or opening the page in fresh
  new profile.

Version-Release number of selected component (if applicable):
  RHGS Web Administration Server:
  grafana-4.6.4-1.el7rhgs.x86_64
  tendrl-ansible-1.6.3-10.el7rhgs.noarch
  tendrl-api-1.6.3-8.el7rhgs.noarch
  tendrl-api-httpd-1.6.3-8.el7rhgs.noarch
  tendrl-commons-1.6.3-13.el7rhgs.noarch
  tendrl-grafana-plugins-1.6.3-15.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.6.3-15.el7rhgs.noarch
  tendrl-node-agent-1.6.3-11.el7rhgs.noarch
  tendrl-notifier-1.6.3-4.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.6.3-14.el7rhgs.noarch

  Client browser:
  firefox-63.0.3-2.fc29.x86_64

How reproducible:
  100%

Steps to Reproduce:
1. Install RHGS Web Administration 3.4.1
2. Open the Web UI in web browser and import the gluster cluster into WA.
2. Perform update process to 3.4.2 as described in documentation[1], including
   new steps from bug 1652561.
3. Again open the Web UI in the same browser where was previously opened the
   older version.
4. Clean browser cache (Ctrl+Shift+Del).
5. Reload the page.


Actual results:
  Step 3.
  Login page is correctly changed accordingly to the new design, but context
  switcher look wasn't changed and question mark icon in the upper right corner
  opening modal dialog with about information is not visible whatsoever (see
  attached screenshot).

  Step 5.
  All the changes introduced in the new version are present.

Expected results:
  It shouldn't be required to clean client browser cache, when updating RHGS
  Web Administration.

Additional info:
[1] https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/html-single/quick_start_guide/#red_hat_gluster_storage_web_administration_3_4_x_to_3_4_y

Comment 2 Filip Balák 2018-12-06 11:54:29 UTC
Created attachment 1512062 [details]
Broken login screen when user logs out

Comment 3 Filip Balák 2018-12-06 12:02:13 UTC
When user have opened WA where he/she is logged in and updates to BU2 then links to grafana are pointing to old url with specified port. Normal page reload doesn't fix this. User have to clear web cache or reload the page while ignoring stored cache (CTRL+Shift+R).

There is also issue when cache is not cleared and user logs out. In this case the user is redirected to login page which is broken as seen in attachment 1512062 [details].

Tested with:
tendrl-ansible-1.6.3-10.el7rhgs.noarch
tendrl-api-1.6.3-8.el7rhgs.noarch
tendrl-api-httpd-1.6.3-8.el7rhgs.noarch
tendrl-commons-1.6.3-13.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-15.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-15.el7rhgs.noarch
tendrl-node-agent-1.6.3-11.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-14.el7rhgs.noarch


Note You need to log in before you can comment on or make changes to this bug.